<?php

add_action( 'init', 'business_directory_options' );
if ( !function_exists( 'business_directory_options' ) ) {

	function business_directory_options() {
		// VARIABLES
		$themename = "Business Directory Theme";
		$shortname = "of";
		// Populate OptionsFramework option in array for use in theme
		global $of_options;
		$of_options = business_directory_get_option( 'of_options' );

		// Background Defaults
		$file_rename = array( "on" => "On", "off" => "Off" );
		$on_off = array( "on" => "On", "off" => "Off" );
		$background_defaults = array( 'color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll' );
		//Stylesheet Reader
		$alt_stylesheets = array( "green" => "green", "black" => "black", "blue" => "blue", "orange" => "orange", "pink" => "pink", "red" => "red", "skyblue" => "skyblue" );
		//Listing publish mode
		//RTL Stylesheet Reader
		$lan_stylesheets = array( "default" => "default", "rtl" => "rtl" );
		$post_mode = array( 'pending' => 'Pending', 'publish' => 'Publish' );
		// Pull all the categories into an array
		$options_categories = array();
		$options_categories_obj = get_categories();
		foreach ( $options_categories_obj as $category ) {
			$options_categories[$category->cat_ID] = $category->cat_name;
		}
		// If using image radio buttons, define a directory path
		$imagepath = get_template_directory_uri() . '/images/';

		$options = array(
			array( "name" => GEN_SETTING,
				"type" => "heading" ),
			array( "name" => CUSTOM_LOGO,
				"desc" => CUSTOM_LOGO_DES,
				"id" => "business_directory_logo",
				"type" => "upload" ),
			array( "name" => CUSTOM_FAVICON,
				"desc" => FAVICON_DES,
				"id" => "business_directory_favicon",
				"type" => "upload" ),
			array( "name" => BG_IMG,
				"desc" => BG_IMG_DES,
				"id" => "bodybg",
				"std" => "",
				"type" => "upload" ),
			array( "name" => HOME_SETTING,
				"type" => "heading" ),
			array( "name" => HOME_F_SLIDER,
				"desc" => HOME_F_SLIDER_DES,
				"id" => "home_feature_txt",
				"std" => "",
				"type" => "text" ),

//****=============================================================================****//
//****-----------This code is used for creating color styleshteet options----------****//							
//****=============================================================================****//				
			array( "name" => STYLING_OPTION,
				"type" => "heading" ),
			array( "name" => CUSTOM_CSS,
				"desc" => CUSTOM_CSS_DES,
				"id" => "customcss",
				"std" => "",
				"type" => "textarea" ),	
			array( "name" => SOCIAL_ICON,
				"type" => "heading" ),
			array( "name" => FACEBOOK,
				"desc" => FACEBOOK_DES,
				"id" => "facebook",
				"type" => "text" ),
			array( "name" => TWITTER,
				"desc" => TWITTER_DES,
				"id" => "twitter",
				"type" => "text" ),
			array( "name" => RSS,
				"desc" => RSS_DES,
				"id" => "rss",
				"type" => "text" ),

		);
		return array('options' => $options, 'theme_name' => $themename);
	}
}
?>